import { assign } from "../../../utils";
import RetryMiddlewareV2, { defaultRetryConfigs } from "../v2";
let retryConfigs = assign({}, defaultRetryConfigs);
const setRetryConfigs = (newConfigs) => {
  console.warn("The use of setRetryConfigs is deprecated - use RetryMiddleware v2 instead.");
  retryConfigs = assign({}, retryConfigs, newConfigs);
  middlewareInstance = RetryMiddlewareV2(retryConfigs)();
};
let middlewareInstance = RetryMiddlewareV2(retryConfigs)();
function RetryMiddleware() {
  return {
    request(request) {
      return middlewareInstance.request(request);
    },
    response(next) {
      return middlewareInstance.response(next);
    }
  };
}
const calculateExponentialRetryTime = (retryTime) => Math.min(
  randomFromRetryTime(retryTime) * retryConfigs.multiplier,
  retryConfigs.maxRetryTimeInSecs * 1e3
);
const randomFromRetryTime = (retryTime) => {
  const delta = retryConfigs.factor * retryTime;
  return random(retryTime - delta, retryTime + delta);
};
const random = (min, max) => {
  return Math.random() * (max - min) + min;
};
export {
  calculateExponentialRetryTime,
  RetryMiddleware as default,
  setRetryConfigs
};
//# sourceMappingURL=index.mjs.map