import { Request } from "../request";
import { MethodDescriptor } from "../method-descriptor";
const requestFactory = ({
  method = "GET",
  host = "http://example.org",
  path = "/path",
  auth,
  body,
  headers,
  params,
  timeout,
  context,
  ...rest
} = {}) => {
  const methodDescriptor = new MethodDescriptor({ method, host, path });
  return new Request(
    methodDescriptor,
    {
      auth,
      body,
      headers,
      params,
      timeout,
      ...rest
    },
    context
  );
};
export {
  requestFactory
};
//# sourceMappingURL=request-factory.mjs.map